Loading...
Searching...
No Matches
BALL::Potential1210 Class Reference
Molecular Modeling » Molecular Mechanics » Force Field Parameters

`#include <BALL/MOLMEC/PARAMETER/potential1210.h>`

Inheritance diagram for BALL::Potential1210:

## Classes

struct | Values
struct | Data

## Public Types

enum | { UNKNOWN }
Public Types inherited from BALL::ParameterSection
enum | { MAX_FIELDS = 20 }

## Public Member Functions

Constructors and Destructor.
| Potential1210 ()
| Potential1210 (const Potential1210 &pot1210)
virtual | ~Potential1210 ()
virtual void | clear ()
Parameter extraction
virtual bool | extractSection (ForceFieldParameters &parameters, const String &section_name)
virtual bool | extractSection (Parameters &parameters, const String &section_name)
bool | hasParameters (Atom::Type I, Atom::Type J) const
Potential1210::Values | getParameters (Atom::Type I, Atom::Type J) const
bool | assignParameters (Potential1210::Values &parameters, Atom::Type I, Atom::Type J) const
Assignment
const Potential1210 & | operator= (const Potential1210 &pot1210)
Public Member Functions inherited from BALL::ParameterSection
| ParameterSection ()
| ParameterSection (const ParameterSection &parameter_section)
virtual | ~ParameterSection ()
bool | extractSection (Parameters &parameters, const String &section_name)
const String & | getSectionName () const
const String & | getValue (const String &key, const String &variable) const
bool | has (const String &key, const String &variable) const
bool | has (const String &key) const
bool | hasVariable (const String &variable) const
Position | getColumnIndex (const String &variable) const
Size | getNumberOfVariables () const
Size | getNumberOfKeys () const
const String & | getValue (Position key_index, Position variable_index) const
const String & | getKey (Position key_index) const
const ParameterSection & | operator= (const ParameterSection &section)
virtual bool | isValid () const
bool | operator== (const ParameterSection &parameter_section) const

## Predicates

Size | number_of_atom_types_
std::vector< float > | A_
std::vector< float > | B_
std::vector< bool > | is_defined_
std::vector< String > | names_
bool | operator== (const Potential1210 &pot1210) const

## Additional Inherited Members

Options | options
Static Public Attributes inherited from BALL::ParameterSection
static const String | UNDEFINED
String | section_name_
String | format_line_
StringHashMap< Index > | section_entries_
StringHashMap< Index > | variable_names_
std::vector< String > | entries_
std::vector< String > | keys_
Size | number_of_variables_
std::vector< float > | version_
bool | valid_

## Detailed Description

Potential1210.

Molecular Mechanics Parameter: class describing the parameters required for a 12-10 (hydrogen bond) potential.

Definition at line 25 of file potential1210.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
UNKNOWN |

Definition at line 30 of file potential1210.h.

## Constructor & Destructor Documentation

## Potential1210() [1/2]

BALL::Potential1210::Potential1210 | ( |  | ) |

Default constructor.

## Potential1210() [2/2]

BALL::Potential1210::Potential1210 | ( | const Potential1210 & | pot1210 | ) |

Copy constructor.

## ~Potential1210()

virtual BALL::Potential1210::~Potential1210 | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## assignParameters()

bool BALL::Potential1210::assignParameters | ( | Potential1210::Values & | parameters,
|  | Atom::Type | I,
|  | Atom::Type | J ) const

Assign the parameters for a given atom type combination. If no parameters are defined for this combination, false is returned and nothing is changed.

## clear()

virtual void BALL::Potential1210::clear | ( |  | ) |

virtual

Clear method.

Reimplemented from BALL::ParameterSection.

## extractSection() [1/2]

virtual bool BALL::Potential1210::extractSection | ( | ForceFieldParameters & | parameters,
|  | const String & | section_name )

virtual

Reads a parameter section from an INI file. This method reads the section given in section_name from ini_file, interprets (if given) a format line, reads the data from this section according to the format, and builds some datastructures for fast and easy acces this data.

## extractSection() [2/2]

virtual bool BALL::Potential1210::extractSection | ( | Parameters & | parameters,
|  | const String & | section_name )

virtual

## getParameters()

Potential1210::Values BALL::Potential1210::getParameters | ( | Atom::Type | I,
|  | Atom::Type | J ) const

Returns the parameters for a given atom type combination.

## hasParameters()

bool BALL::Potential1210::hasParameters | ( | Atom::Type | I,
|  | Atom::Type | J ) const

Queries whether a parameter set is defined for the given atom types.

## operator=()

const Potential1210 & BALL::Potential1210::operator= | ( | const Potential1210 & | pot1210 | ) |

Assignment operator

## operator==()

bool BALL::Potential1210::operator== | ( | const Potential1210 & | pot1210 | ) | const

Equality operator

## Member Data Documentation

## A_

std::vector<float> BALL::Potential1210::A_

protected

Definition at line 127 of file potential1210.h.

## B_

std::vector<float> BALL::Potential1210::B_

protected

Definition at line 129 of file potential1210.h.

## is_defined_

std::vector<bool> BALL::Potential1210::is_defined_

protected

Definition at line 131 of file potential1210.h.

## names_

std::vector<String> BALL::Potential1210::names_

protected

Definition at line 133 of file potential1210.h.

## number_of_atom_types_

Size BALL::Potential1210::number_of_atom_types_

protected

Definition at line 125 of file potential1210.h.